'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Display;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _transformimeReact = require('transformime-react');

var _output = require('./output');

var _output2 = _interopRequireDefault(_output);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Display(props) {
  const order = props.displayOrder;
  const tf = props.transforms;
  return _react2.default.createElement(
    'div',
    { className: 'cell_display' },
    props.outputs.map((output, index) => _react2.default.createElement(_output2.default, {
      key: index,
      output: output,
      displayOrder: order,
      transforms: tf,
      theme: props.theme
    }))
  );
}

Display.propTypes = {
  displayOrder: _react2.default.PropTypes.instanceOf(_immutable2.default.List),
  outputs: _react2.default.PropTypes.instanceOf(_immutable2.default.List),
  transforms: _react2.default.PropTypes.instanceOf(_immutable2.default.Map),
  theme: _react2.default.PropTypes.string
};

Display.defaultProps = {
  transforms: _transformimeReact.transforms,
  displayOrder: _transformimeReact.displayOrder
};